<div>
	<button><slot name="toggle" /></button>
	<menu><slot /></menu>
</div>

<style>
	div {
		transition: all 0.5s ease;
    position: relative;
    display: inline-block;
	}
	
  button {
    border: none;
    background-color: inherit;
  }

  menu {
    display: none;
    position: absolute;
    background-color: rgba(0,0,0,1);
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  
  }

  div:hover,
  div:focus,
  div:hover > menu,
  div:focus > menu {
    display: block;
    visibility: visible;
    opacity: 1;
  }

  @media screen and (min-width: 300px) {
    menu {
      display: none;
      position: absolute;
      background-color: rgba(0,0,0,.85);
      min-width: 100px;
      box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
      z-index: 1;
      font-size: x-small;
  }
  }
  @media screen and (min-width: 800px) {
    menu {
        display: none;
        position: absolute;
        background-color: rgba(0, 0, 0,.85);
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
        font-size: medium;
    }
  }
</style>
